<?php
/*+***********************************************************************************
 * The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
 *************************************************************************************/

class Potentials_BasicAjax_Action extends Vtiger_Action_Controller {

	function checkPermission(Vtiger_Request $request) {
		return;
	}

	public function process(Vtiger_Request $request) {
		$searchValue = $request->get('search_value');
		$searchModule = $request->get('search_module');

		$parentRecordId = $request->get('parent_id');
		$parentModuleName = $request->get('parent_module');
		$relatedModule = $request->get('module');
		$src_field = $request->get('src_field');
		
		$result = array();
		
		if ( $searchModule == 'Accounts' && $src_field == 'cf_980' ) {
			// Dealer
			global $adb;
			$rs = $adb->pquery("SELECT * FROM vtiger_account a 
				inner join vtiger_crmentity e on a.accountid = e.crmid and e.deleted = 0
				where a.account_type = 'Dealer' and a.accountname like concat('%',?,'%')", array($searchValue));
			while ($row = $adb->fetch_row($rs)) {
				$result[] = array('label' => decode_html($row['accountname']), 'value' => decode_html($row['accountname']), 'id' => $row['accountid']);
			}
		} else {
			$searchModuleModel = Vtiger_Module_Model::getInstance($searchModule);
			$records = $searchModuleModel->searchRecord($searchValue, $parentRecordId, $parentModuleName, $relatedModule);

			$baseRecordId = $request->get('base_record');
			foreach($records as $moduleName=>$recordModels) {
				foreach($recordModels as $recordModel) {
					if ($recordModel->getId() != $baseRecordId) {
						$result[] = array('label'=>decode_html($recordModel->getName()), 'value'=>decode_html($recordModel->getName()), 'id'=>$recordModel->getId());
					}
				}
			}
		}


		$response = new Vtiger_Response();
		$response->setResult($result);
		$response->emit();
	}
}
